package com.ruoyi.demo.service;


import com.ruoyi.demo.entity.TopologicalStoreWd;
import com.ruoyi.demo.entity.bo.Histogram;
import com.ruoyi.demo.entity.bo.StoreWdCategoryCount;
import com.ruoyi.demo.entity.vo.TopologicalWdAceeptVo;

import java.util.List;

public interface TopologicalStoreWdService {
    public List<TopologicalStoreWd> list(TopologicalWdAceeptVo topologicalWdAceeptVo);

    List<StoreWdCategoryCount> category(TopologicalWdAceeptVo topologicalWdAceeptVo);

    List<Histogram> storeHistogram(TopologicalWdAceeptVo topologicalWdAceeptVo);

    List<Histogram> perCapitaConsumpHistogram(TopologicalWdAceeptVo topologicalWdAceeptVo);
}
